%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Notes plugin for the Xfce panel
Name:		xfce4-notes-plugin
Version:	1.7.7
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# From PLD Linux
Patch1:		xfce4-notes-plugin-1.7.7-port-to-libxfce4ui.patch
Patch2:		xfce4-notes-plugin-1.7.7-automake1.13.patch
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(unique-1.0)

Requires:	xfce4-panel

%description
xfce4-notes-plugin is a notes panel plugin for the Xfce Desktop Environment.
It provides a simple system for managing sticky notes on your desktop.

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README ChangeLog AUTHORS
%{_sysconfdir}/xdg/autostart/xfce4-notes-autostart.desktop
%{_bindir}/xfce4-notes
%{_bindir}/xfce4-notes-settings
%{_bindir}/xfce4-popup-notes
%{_libdir}/xfce4/panel-plugins/libnotes.so*
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/applications/xfce4-notes.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/%{name}/


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.7.7-5.mga3
+ Revision: 386856
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.7.7-4.mga3
+ Revision: 338189
- add patch to fix build with automake 1.13

* Sat Jun 30 2012 wally <wally> 1.7.7-3.mga3
+ Revision: 265433
- port to libxfce4ui (patch from PLD Linux)
- clean .spec
- import from Mdv

